package com.ruoyi.dj.websocket.handler;

import com.ruoyi.dj.websocket.config.CustomWebSocketHandler;
import com.ruoyi.dj.websocket.core.MessageHandler;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @auther 周志雄
 * @date 2024/9/25 14:13
 */
@Component
public class CameraPhotoTakeProgressHandler implements MessageHandler {
    @Resource
    private CustomWebSocketHandler webSocketHandler;

    @Override
    public void handleMessage(String message) {
        webSocketHandler.sendMessageToAll(message);
    }

    @Override
    public String getType() {
        return "camera_photo_take_progress";
    }
}
